## isdnactivecards 3.12.2007-11

=== lib/Makefile ===
##
## Makefile for library for isdn4linux
##

##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifndef ROOTDIR
export ROOTDIR=$(shell pwd)
PREFIXDIR =.
else
PREFIXDIR =$(ROOTDIR)
endif

######################################################################
# USER CONFIGURATION AREA
######################################################################

CFLAGS      = -g -Wall -pipe #-O6
DEFS        =
ifndef _CC
export _CC  = gcc
endif
CC          = $(_CC)

export I4LCONFDIR

######################################################################
# DON'T EDIT BELOW THIS LINE
######################################################################

SUBDIRS  = 

DEFS    += -I$(PREFIXDIR)

%.o: %.c
	$(CC) $(CFLAGS) $(DEFS) -fno-strict-aliasing -c -o $@ $<

all: .depend libisdn.a

depend dep: .depend

.depend:
		$(CPP) -M $(CFLAGS) $(DEFS) *.c >.depend

clean:
		-rm -f *.o *.a

distclean: clean
		-rm -f .depend policy.h

install: depend all

deinstall: distclean

libisdn.a: conffile.o isdntools.o libtools.o 
		ar rs libisdn.a isdntools.o conffile.o libtools.o 
		ranlib libisdn.a

ifeq (.depend,$(wildcard .depend))
include .depend
#HEADERS := $(HEADERS) .depend
endif

## isdnactivecards 3.9.20060704

=== debian/changelog ===
isdnactivecards (1:3.9.20060704-11build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:05 +0000

isdnactivecards (1:3.9.20060704-11) unstable; urgency=low

  * QA upload
  * Change source package to 3.0 (quilt) format
  * Remove firmware images; no source code is available from them so they
    cannot be distributed under GPL
  * Replace pcbit/convhexbin.c with an implementation licenced under GPL
  * Move to contrib section due to dependency on firmware images
  * Remove all modified autotools-generated files in 'clean' rule

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 26 Jun 2010 17:56:37 +0100

isdnutils (1:3.9.20060704-10) unstable; urgency=low

  * QA upload
  * Add sparc64 and sh4 to the architectures lists.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Apr 2010 13:48:24 +0900

isdnutils (1:3.9.20060704-9) unstable; urgency=low

  * QA upload
  * Add va_list.dpatch to the list of patches to apply.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 01 Feb 2010 22:09:24 +0100

isdnutils (1:3.9.20060704-8) unstable; urgency=low

  * QA upload
  * Add sparc64 and sh4 to the architectures lists.  Closes: #549878.
  * [Debconf translation updates]
    - French (Christian Perrier).  Closes: #551720
    - Galician (Marce Villarino).  Closes: #554475.
  * Relibtoolize.  Closes: #560560. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jan 2010 16:52:48 +0000

isdnutils (1:3.9.20060704-7) unstable; urgency=low

  * Drop "set -e" in config scripts as it breaks upgrades.
    Let's hope someone will look this in more details later on
    Closes: #554537

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Nov 2009 20:21:15 +0100

isdnutils (1:3.9.20060704-6) unstable; urgency=low

  * QA upload
  * Make "MAKEDEV" calls conditional in postinst scripts
    Closes: #553692
  * Replace libreadline5-dev by libreadline-dev in build dependencies
    Closes: #553790

 -- Christian Perrier <bubulle@debian.org>  Wed, 04 Nov 2009 19:57:31 +0100

isdnutils (1:3.9.20060704-5) unstable; urgency=low

  * QA upload
  * Allow build on sh4. Closes: #549878
  * Use "set -e" in all config scripts
  * Replace call to "/bin/kill" by "kill" in ipppd.prerm
  * Replace call to "/sbin/MAKEDEV" by "MAKEDEV" in postinst scripts
  * Replace call to "/sbin/init" by "init" in postinst scripts
  * Add "${misc:Depends} to ippd dependencies to properly cope with
    dependencies that might be triggered by debhelper utilities
  * Drop useless calls to install-docs in prerm scripts
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #550030
  * Remove "Uploaders:" as the package is orphaned
  * [Debconf translation updates]
    - Czech (Martin Sin).  Closes: #550726
    - Vietnamese (Clytie Siddall).  Closes: #550858
    - Finnish (Esko Arajärvi).  Closes: #550876
    - Vietnamese (Clytie Siddall).  Closes: #550941
    - Basque (Iñaki Larrañaga Murgoitio).  Closes: #551060
    - Swedish (Martin Bagge).  Closes: #551117
    - Portuguese. Closes: #552166
    - Italian (Luca Monducci).  Closes: #552217
    - Spanish (Francisco Javier Cuadrado).  Closes: #552265
    - Russian (Yuri Kozlov).  Closes: #552463, #547435
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #553033
    - German (Thomas Mueller).  Closes: #553078

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Nov 2009 11:41:30 +0100

isdnutils (1:3.9.20060704-4) unstable; urgency=low

  * Orphaning isdnutils, as I do not use it anymore in a way to be able to
    properly maintain it.
  * Acknowledge NMU upload.
    closes: #527529
  * Call /sbin/MAKDEV explicitly from ipppd postinst instead of relying on the
    symlink in /dev/, which may not be there if makedev was installed after
    udev was started.
    closes: #542156
  * Renamed /etc/modprobe.d/blacklist-capiutils to blacklist-capiutils.conf to
    avoid warnings from modprobe due to recent changes in module-init-tools.
    closes: #520248
  * Removed / modified calls to log_success_msg with empty strings from
    init.d.functions, as that apparently causes the script to exit, wierd...
    closes: #543567
  * Remodelled isdnutils-base.postinst for checking on non-empty /etc/isdn/.
    closes: #431855
  * Modified / corrected debconf templates.
    closes: #378705
  * Fixed capifax manpage to mention the filename to be sent, and to correctly
    describe how the notification program is called.
    closes: #318930,#353884,#324719
  * Added support for sending to 3.1kHz-only destinations.
    closes: #354830
  * Start isdnutils at sequence 21, so that the makedev script is run
    earlier (S20isdnutils < S20makedev).
    closes: #383992
  * Add support for successful CAPI return codes instead of treating them as
    errors.
    closes: #471600
  * Start isdneurofile at sequence 22, so that the isdnutils script is run
    earlier, at sequence 21 (see above).
    closes: #498943
  * Fixed text typo in init.d/isdnutils.
    closes: #502276
  * Fixed bashism in vboxmail.enhanced script.
    closes: #530106
  * Changed dependency on makdev to "udev | makedev".
    closes: #546872

 -- Paul Slootman <paul@debian.org>  Tue, 15 Sep 2009 17:14:00 +0200

isdnutils (1:3.9.20060704-3.7) unstable; urgency=low

  * Non-maintainer upload.
  * Add bashisms and isdneurofile-bashism to the list of patches to apply.
    - Really closes: #530105, #530980.
  * Bump compat level to five.
  * debian/control:
    + Fix FTBFS, build-depend on xutils-dev. Closes: #527529.
    + Add missing dependency on misc:Depends.
    + Bump versioned dependency on debhelper to match compat level.
    + Remove Paul Slootman from uploaders, already in maintainer field.
  * debian/copyright: refer to the GPL version 2 file.
  * Don't ship var/run/isdnrate/, create it in init script.

 -- Raphael Geissert <geissert@debian.org>  Sat, 04 Jul 2009 12:23:57 -0500



=== debian/control ===
Source: isdnactivecards
Section: contrib/utils
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>=5), bzip2, libncurses5-dev | libncurses-dev, groff, autoconf2.13

Package: isdnactivecards
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
Depends: isdnutils-base (>= 1:3.9.20060704+dfsg.1-1~), capiutils (>= 1:3.9.20060704+dfsg.1-1~), ${shlibs:Depends}, ${misc:Depends}
Replaces: isdnutils (<<1:3.1pre1b-0)
Description: ISDN utilities - active ISDN card support
 This package provides firmware-loading utilities for active ISDN cards
 (the Eicon, Eicon Diva, IBM Active 2000, ICN, or PCBIT-D cards).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# brace expansion
export SHELL=/bin/bash

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

auto: auto-update-stamp
auto-update-stamp:
	@set -e; \
	for d in eicon; do \
	  echo "Regenerating autotools files in $$d ..."; \
	  cd $$d; \
	  echo "  autoconf2.13"; autoconf2.13; \
	  cd ..; \
	done

	touch auto-update-stamp

build: build-stamp
build-stamp: auto-update-stamp
	dh_testdir

	# we need a .config file. Try isdnutils.config in parent directory first
	# so that local choice can be preserved.
	test -f ../isdnutils.config && cp ../isdnutils.config .config || \
	    cp debian/dotconfig .config

	$(MAKE) subconfig
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp auto-update-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	: # remove updated/added autotools files
	find . -name config.sub -o -name config.guess -o \
		-name autom4te.cache -o -name config.cache -o \
		-name config.log -o -name config.status -o -name aclocal.m4 -o \
		-name config.h -o -o -name ltmain.sh | xargs rm -f
	rm -f eicon/configure
	find . -type l \
	    \( -name install-sh -o -name mkinstalldirs -o -name missing \
	       -o -name compile -o -name depcomp \
	    \) \
		| xargs rm -f

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/isdnactivecards
	cp pcbit/README.pt debian/isdnactivecards/usr/share/doc/isdnactivecards/README.pcbit.pt

binary-indep: 

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## isdnactivecards 3.12.2007-11-27

=== debian/changelog ===
isdnactivecards (1:3.12.2007-11-27-1) unstable; urgency=medium

  * Adopt package. Closes: #655265
  * Import latest available upstream snapshot
  * Packaging cleanup
  * Enable full hardening build
  * Build on all Linux architectures

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 31 Dec 2016 17:07:40 +0100

=== debian/control ===
Source: isdnactivecards
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://www.isdn4linux.de/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10~),
    libncurses5-dev | libncurses-dev,
Priority: extra
Section: contrib/utils

Package: isdnactivecards
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    capiutils,
    isdnutils-base,
Description: ISDN utilities - active ISDN card support
 This package provides firmware-loading utilities for active ISDN cards
 (the Eicon, Eicon Diva, IBM Active 2000, ICN, or PCBIT-D cards).
 .
 The firmware files are not part of the package, they have been removed
 to comply with the Debian Free Software Guidelines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_clean:
	-rm .config
	dh_auto_clean

override_dh_auto_build:
	@set -e; \
	for d in eicon; do \
		echo "Regenerating autotools files in $$d ..."; \
		cd $$d; \
		echo "  autoconf"; autoconf; \
		cd ..; \
	done

	test -f ../isdnutils.config && cp ../isdnutils.config .config || \
	    cp debian/dotconfig .config
	$(MAKE) subconfig
	dh_auto_build

override_dh_installdocs:
	dh_installdocs
	mv \
		debian/isdnactivecards/usr/share/doc/isdnactivecards/README.pt \
		debian/isdnactivecards/usr/share/doc/isdnactivecards/README.pcbit.pt
